<?php
require_once 'conn.php';

// Handle Add Category
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['category_name'])) {
    $category_name = $_POST['category_name'];
    if (!empty($category_name)) {
        $stmt = $conn->prepare("INSERT INTO categories (category_name) VALUES (?)");
        $stmt->execute([$category_name]);
        echo "<script>alert('Category added successfully!');</script>";  // Success message
    } else {
        echo "<script>alert('Category name cannot be empty.');</script>";  // Error message
    }
}

// Handle Edit Category
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['edit_category'])) {
    $category_id = $_POST['category_id'];
    $category_name = $_POST['category_name'];
    if (!empty($category_name)) {
        $stmt = $conn->prepare("UPDATE categories SET category_name = ? WHERE id = ?");
        $stmt->execute([$category_name, $category_id]);
        echo "<script>alert('Category updated successfully!');</script>";  // Success message
    } else {
        echo "<script>alert('Category name cannot be empty.');</script>";  // Error message
    }
}

// Handle Delete Category
if (isset($_POST['delete_category'])) {
    $category_id = $_POST['category_id'];
    $stmt = $conn->prepare("DELETE FROM categories WHERE id = ?");
    $stmt->execute([$category_id]);
    echo "<script>alert('Category deleted successfully!');</script>";  // Success message
}

// Fetch Categories for Display
$categories = $conn->query("SELECT * FROM categories")->fetchAll();

// Handle Add Article
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['title']) && isset($_POST['content'])) {
    $title = $_POST['title'];
    $content = $_POST['content'];
    $category_id = $_POST['category_id'];

    if (!empty($title) && !empty($content)) {
        $stmt = $conn->prepare("INSERT INTO knowledge_base (category_id, title, content) VALUES (?, ?, ?)");
        $stmt->execute([$category_id, $title, $content]);
        echo "<script>alert('Article added successfully!');</script>";  // Success message
    } else {
        echo "<script>alert('Title and Content cannot be empty.');</script>";  // Error message
    }
}

// Handle Edit Article
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['edit_article'])) {
    $article_id = $_POST['article_id'];
    $title = $_POST['title'];
    $content = $_POST['content'];
    $category_id = $_POST['category_id'];

    if (!empty($title) && !empty($content)) {
        $stmt = $conn->prepare("UPDATE knowledge_base SET title = ?, content = ?, category_id = ? WHERE id = ?");
        $stmt->execute([$title, $content, $category_id, $article_id]);
        echo "<script>alert('Article updated successfully!');</script>";  // Success message
    } else {
        echo "<script>alert('Title and Content cannot be empty.');</script>";  // Error message
    }
}

// Handle Delete Article
if (isset($_POST['delete_article'])) {
    $article_id = $_POST['article_id'];
    $stmt = $conn->prepare("DELETE FROM knowledge_base WHERE id = ?");
    $stmt->execute([$article_id]);
    echo "<script>alert('Article deleted successfully!');</script>";  // Success message
}

// Fetch Articles for Display
$articles = $conn->query("SELECT knowledge_base.id, knowledge_base.title, knowledge_base.content, knowledge_base.category_id, categories.category_name 
                          FROM knowledge_base 
                          JOIN categories ON knowledge_base.category_id = categories.id")->fetchAll();

// Handle Add Chatbot Response
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['question']) && isset($_POST['response'])) {
    $question = $_POST['question'];
    $response = $_POST['response'];
    if (!empty($question) && !empty($response)) {
        $stmt = $conn->prepare("INSERT INTO chatbot_responses (question, response) VALUES (?, ?)");
        $stmt->execute([$question, $response]);
        echo "<script>alert('Chatbot response added successfully!');</script>";  // Success message
    } else {
        echo "<script>alert('Question and Response cannot be empty.');</script>";  // Error message
    }
}

// Handle Edit Chatbot Response
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['edit_response'])) {
    $response_id = $_POST['id'];
    $question = $_POST['question'];
    $response = $_POST['response'];
    $stmt = $conn->prepare("UPDATE chatbot_responses SET question = ?, response = ? WHERE id = ?");
    $stmt->execute([$question, $response, $response_id]);
    echo "<script>alert('Chatbot response updated successfully!');</script>";  // Success message
}

// Handle Delete Chatbot Response
if (isset($_POST['delete_response'])) {
    $response_id = $_POST['id'];
    $stmt = $conn->prepare("DELETE FROM chatbot_responses WHERE id = ?");
    $stmt->execute([$response_id]);
    echo "<script>alert('Chatbot response deleted successfully!');</script>";  // Success message
}

// Fetch Chatbot Responses for Display
$responses = $conn->query("SELECT * FROM chatbot_responses")->fetchAll();
?>





<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Knowledge Base Management</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
    <!-- Favicon -->
    <link rel="icon" type="image/png" href="dist/img/icon2.png">


    <style>
        body {
            background-color: #f8f9fa;
            transition: background-color 0.3s, color 0.3s;
        }

        .sidebar {
            height: 100vh;
            background-color: #007bff;
            padding-top: 20px;
        }

        .sidebar a {
            color: white;
            text-decoration: none;
            padding: 10px;
            display: block;
            transition: 0.3s;
        }

        .sidebar a:hover {
            background-color: #0056b3;
        }

        .card {
            transition: transform 0.3s ease-in-out;
        }

        .card:hover {
            transform: scale(1.05);
        }

        .dark-mode {
            background-color: #343a40;
            color: white;
        }

        .dark-mode .sidebar {
            background-color: #1c1f23;
        }

        .dark-mode .card {
            background-color: #23272b;
            color: white;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="container-fluid">
        <div class="row">
            <!-- Sidebar -->
            <nav class="col-md-2 d-md-block sidebar text-white">
                <h4 class="text-center">Admin Panel</h4>
                <a href="#"><i class="fas fa-home me-2"></i> Dashboard</a>
                <a href="#"><i class="fas fa-book me-2"></i> Knowledge Base</a>
                <a href="#"><i class="fas fa-comments me-2"></i> Chatbot</a>
                <a href="#"><i class="fas fa-sign-out-alt me-2"></i> Logout</a>
                <button class="btn btn-light mt-3" onclick="toggleDarkMode()">Toggle Mode</button>
            </nav>

            <!-- Main Content -->
            <main class="col-md-10 ms-sm-auto px-4">
                <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
                    <div class="d-flex align-items-center">
                        <img src="dist/img/dtce.png" alt="Company Logo" class="me-2" style="max-width: 100px; height: auto;">
                        <h2 class="mb-0 d-flex align-items-center">
                            <i class="fas fa-book-open text-primary me-2"></i> RCCG DTCE Knowledge Base
                        </h2>
                    </div>
                </div>



                <!-- Cards Section -->
                <div class="row mb-4">
                    <div class="col-md-4">
                        <div class="card shadow-sm text-center p-3 card-option" id="showAddCategory">
                            <i class="fas fa-folder-plus fa-3x text-primary"></i>
                            <h5 class="mt-3">Add Category</h5>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card shadow-sm text-center p-3 card-option" id="showAddArticle">
                            <i class="fas fa-newspaper fa-3x text-success"></i>
                            <h5 class="mt-3">Add Article</h5>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card shadow-sm text-center p-3 card-option" id="showManageChatbot">
                            <i class="fas fa-robot fa-3x text-warning"></i>
                            <h5 class="mt-3">Manage Chatbot</h5>
                        </div>
                    </div>
                </div>

                <!-- Add Category Section -->
                <div id="addCategorySection" class="section-content">
                    <div class="card p-4 shadow-sm mb-4">
                        <h4><i class="fas fa-folder-plus me-2"></i> Add Category</h4>
                        <form method="post">
                            <div class="mb-3">
                                <input type="text" name="category_name" class="form-control" placeholder="Enter category name" required>
                            </div>
                            <button type="submit" class="btn btn-primary">Add Category</button>
                        </form>
                    </div>

                    <!-- Categories Table -->
                    <?php
require 'conn.php'; // Ensure database connection

// Pagination settings
$limit = 5; // Number of categories per page
$page = isset($_GET['page']) ? max(1, intval($_GET['page'])) : 1; // Get current page
$offset = ($page - 1) * $limit; // Calculate offset

// Fetch total category count
$totalStmt = $conn->query("SELECT COUNT(*) FROM categories");
$totalCategories = $totalStmt->fetchColumn();
$totalPages = ceil($totalCategories / $limit); // Calculate total pages

// Fetch paginated categories
$stmt = $conn->prepare("SELECT * FROM categories ORDER BY id DESC LIMIT $limit OFFSET $offset");
$stmt->execute();
$categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>


<div class="card p-3 shadow-sm rounded">
    <div class="d-flex justify-content-between align-items-center mb-3">
        <h4 class="text-primary">📌 Category List</h4>
        <button class="btn btn-success btn-sm" data-bs-toggle="modal" data-bs-target="#addCategoryModal">
            ➕ Add Category
        </button>
    </div>

    <table class="table table-hover table-bordered align-middle">
        <thead class="table-dark">
            <tr>
                <th>#</th>
                <th>Category Name</th>
                <th class="text-center">Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $serial_number = $offset + 1; // Adjust serial number for pagination
            foreach ($categories as $row) {
                echo "<tr>
                    <td class='fw-bold'>{$serial_number}</td>
                    <td>{$row['category_name']}</td>
                    <td class='text-center'>
                        <button class='btn btn-warning btn-sm edit-btn' data-id='{$row['id']}' data-name='{$row['category_name']}' data-bs-toggle='modal' data-bs-target='#editCategoryModal'>
                            ✏️ Edit
                        </button>
                        <form method='post' class='d-inline'>
                            <input type='hidden' name='category_id' value='{$row['id']}'>
                            <button type='submit' name='delete_category' class='btn btn-danger btn-sm' onclick='return confirm(\"Are you sure?\")'>🗑️ Delete</button>
                        </form>
                    </td>
                </tr>";
                $serial_number++;
            }
            ?>
        </tbody>
    </table>

    <!-- Pagination -->
    <nav>
        <ul class="pagination justify-content-center">
            <?php if ($page > 1): ?>
                <li class="page-item"><a class="page-link" href="?page=<?= ($page - 1) ?>">⏪ Prev</a></li>
            <?php endif; ?>

            <?php for ($i = 1; $i <= $totalPages; $i++): ?>
                <li class="page-item <?= ($i === $page) ? 'active' : '' ?>">
                    <a class="page-link" href="?page=<?= $i ?>"><?= $i ?></a>
                </li>
            <?php endfor; ?>

            <?php if ($page < $totalPages): ?>
                <li class="page-item"><a class="page-link" href="?page=<?= ($page + 1) ?>">Next ⏩</a></li>
            <?php endif; ?>
        </ul>
    </nav>
</div>

<!-- Add Category Modal -->
<div class="modal fade" id="addCategoryModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title">➕ Add New Category</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <form method="post">
                    <label class="fw-bold">Category Name:</label>
                    <input type="text" name="category_name" class="form-control mb-3" required>
                    <button type="submit" name="add_category" class="btn btn-success w-100">Save Category</button>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- Edit Category Modal -->
<div class="modal fade" id="editCategoryModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-warning text-white">
                <h5 class="modal-title">✏️ Edit Category</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <form method="post">
                    <input type="hidden" name="category_id" id="editCategoryId">
                    <label class="fw-bold">Category Name:</label>
                    <input type="text" name="category_name" id="editCategoryName" class="form-control mb-3" required>
                    <button type="submit" name="edit_category" class="btn btn-warning w-100">Update Category</button>
                </form>
            </div>
        </div>
    </div>
</div>
            
<script>
    // Populate edit modal with category details
    document.querySelectorAll('.edit-btn').forEach(button => {
        button.addEventListener('click', function() {
            document.getElementById('editCategoryId').value = this.dataset.id;
            document.getElementById('editCategoryName').value = this.dataset.name;
        });
    });
</script>

        </div>


        <div id="addArticleSection" class="section-content">
        <div class="card p-4 shadow-sm">
    <div class="d-flex justify-content-between align-items-center mb-3">
        <h4 class="text-primary">📰 Article List</h4>
        <button class="btn btn-success btn-sm" data-bs-toggle="modal" data-bs-target="#addArticleModal">
            ➕ Add Article
        </button>
    </div>

    <table class="table table-hover table-bordered align-middle">
        <thead class="table-dark">
            <tr>
                <th>#</th>
                <th>Title</th>
                <th>Category</th>
                <th class="text-center">Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $serial_number = $offset + 1;
            foreach ($articles as $row) {
                echo "<tr>
                    <td class='fw-bold'>{$serial_number}</td>
                    <td>{$row['title']}</td>
                    <td>{$row['category_name']}</td>
                    <td class='text-center'>
                        <button class='btn btn-warning btn-sm edit-btn' 
                            data-id='{$row['id']}' 
                            data-title='{$row['title']}'
                            data-content='{$row['content']}'
                            data-category='{$row['category_id']}'
                            data-bs-toggle='modal' 
                            data-bs-target='#editArticleModal'>✏️ Edit</button>
                        <form method='post' class='d-inline'>
                            <input type='hidden' name='article_id' value='{$row['id']}'>
                           <button type='submit' name='delete_article' class='btn btn-danger btn-sm' onclick='return confirm(\"Are you sure?\")'>🗑️ Delete</button>

                        </form>
                    </td>
                </tr>";
                $serial_number++;
            }
            ?>
        </tbody>
    </table>

    <!-- Pagination -->
    <nav>
        <ul class="pagination justify-content-center">
            <?php if ($page > 1): ?>
                <li class="page-item"><a class="page-link" href="?page=<?= ($page - 1) ?>">⏪ Prev</a></li>
            <?php endif; ?>
            <?php for ($i = 1; $i <= $totalPages; $i++): ?>
                <li class="page-item <?= ($i === $page) ? 'active' : '' ?>">
                    <a class="page-link" href="?page=<?= $i ?>"> <?= $i ?> </a>
                </li>
            <?php endfor; ?>
            <?php if ($page < $totalPages): ?>
                <li class="page-item"><a class="page-link" href="?page=<?= ($page + 1) ?>">Next ⏩</a></li>
            <?php endif; ?>
        </ul>
    </nav>
</div>
<?php
// Fetch all categories for the dropdown (without pagination)
$allCategoriesStmt = $conn->query("SELECT * FROM categories ORDER BY id DESC");
$allCategories = $allCategoriesStmt->fetchAll(PDO::FETCH_ASSOC);


?>        

<!-- Add Article Modal -->
<div class="modal fade" id="addArticleModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title">➕ Add New Article</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <form method="post">
                    <input type="text" name="title" class="form-control mb-3" placeholder="Article Title" required>
                    <textarea name="content" class="form-control mb-3" placeholder="Article Content" required></textarea>
                    <select name="category_id" class="form-control mb-3" required>
    <?php if (!empty($allCategories)) { ?>
        <?php foreach ($allCategories as $row) { ?>
            <option value="<?= htmlspecialchars($row['id']) ?>">
                <?= htmlspecialchars($row['category_name']) ?>
            </option>
        <?php } ?>
    <?php } else { ?>
        <option value="">No categories available</option>
    <?php } ?>
</select>

                    <button type="submit" name="add_article" class="btn btn-success w-100">Save Article</button>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- Edit Article Modal -->
<div class="modal fade" id="editArticleModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-warning text-white">
                <h5 class="modal-title">✏️ Edit Article</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <form method="post">
                    <input type="hidden" name="article_id" id="editArticleId">
                    <input type="text" name="title" id="editArticleTitle" class="form-control mb-3" required>
                    <textarea name="content" id="editArticleContent" class="form-control mb-3" required></textarea>
                    <select name="category_id" class="form-control mb-3" required>
    <?php if (!empty($allCategories)) { ?>
        <?php foreach ($allCategories as $row) { ?>
            <option value="<?= htmlspecialchars($row['id']) ?>">
                <?= htmlspecialchars($row['category_name']) ?>
            </option>
        <?php } ?>
    <?php } else { ?>
        <option value="">No categories available</option>
    <?php } ?>
</select>
                    <button type="submit" name="edit_article" class="btn btn-warning w-100">Update Article</button>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    document.querySelectorAll('.edit-btn').forEach(button => {
        button.addEventListener('click', function() {
            document.getElementById('editArticleId').value = this.dataset.id;
            document.getElementById('editArticleTitle').value = this.dataset.title;
            document.getElementById('editArticleContent').value = this.dataset.content;
            document.getElementById('editArticleCategory').value = this.dataset.category;
        });
    });
</script>

                </div>

                <?php
// Define how many records per page
$records_per_page = 10;

// Get the current page from URL, default to 1
$current_page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

// Calculate the starting record
$offset = ($current_page - 1) * $records_per_page;

// Fetch total records count from database
$stmt = $conn->prepare("SELECT COUNT(*) FROM chatbot_responses"); // Replace with your table name
$stmt->execute();
$total_records = $stmt->fetchColumn();

// Calculate total pages
$total_pages = ceil($total_records / $records_per_page);

// Fetch records with LIMIT for pagination
$stmt = $conn->prepare("SELECT * FROM chatbot_responses ORDER BY id DESC LIMIT :offset, :limit");
$stmt->bindValue(':offset', $offset, PDO::PARAM_INT);
$stmt->bindValue(':limit', $records_per_page, PDO::PARAM_INT);
$stmt->execute();
$responses = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>


             <!-- Manage Chatbot Responses Section -->
<div id="manageChatbotSection" class="section-content">
    <div class="card p-4 shadow-sm">
        <h4><i class="fas fa-robot me-2"></i> Manage Chatbot Responses</h4>
        <form method="post">
            <div class="mb-3">
                <input type="text" name="question" class="form-control" placeholder="Enter question" required>
            </div>
            <div class="mb-3">
                <textarea name="response" class="form-control" placeholder="Enter response" required></textarea>
            </div>
            <button type="submit" class="btn btn-success">Add Response</button>
        </form>
    </div>

    <!-- Chatbot Responses Table -->
    <div class="card p-4 shadow-sm mt-3">
        <h4>Chatbot Responses</h4>
        <table class="table table-striped table-sm">
            <thead class="table-dark">
                <tr>
                    <th>#</th>
                    <th>Question</th>
                    <th>Response</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $serial_number = $offset + 1; // Adjust serial number for pagination
                foreach ($responses as $row) {
                    echo "<tr>
                        <td>{$serial_number}</td>
                        <td>{$row['question']}</td>
                        <td>{$row['response']}</td>
                        <td>
                            <!-- Edit Button (Triggers Modal) -->
                            <button class='btn btn-warning btn-sm' data-bs-toggle='modal' data-bs-target='#editModal{$row['id']}'>✏️ Edit</button>

                            <!-- Delete Button with Confirmation -->
                            <form method='post' class='d-inline'>
                                <input type='hidden' name='id' value='{$row['id']}'>
                                <button type='submit' name='delete_response' class='btn btn-danger btn-sm' onclick=\"return confirm('Are you sure you want to delete this response?')\">🗑️ Delete</button>
                            </form>
                        </td>
                    </tr>";

                    // Edit Modal
                    echo "<div class='modal fade' id='editModal{$row['id']}' tabindex='-1' aria-labelledby='editModalLabel{$row['id']}' aria-hidden='true'>
                            <div class='modal-dialog'>
                                <div class='modal-content'>
                                    <div class='modal-header'>
                                        <h5 class='modal-title' id='editModalLabel{$row['id']}'>Edit Response</h5>
                                        <button type='button' class='btn-close' data-bs-dismiss='modal' aria-label='Close'></button>
                                    </div>
                                    <div class='modal-body'>
                                        <form method='post'>
                                            <input type='hidden' name='id' value='{$row['id']}'>
                                            <div class='mb-3'>
                                                <label class='form-label'>Question</label>
                                                <input type='text' name='question' value='{$row['question']}' class='form-control' required>
                                            </div>
                                            <div class='mb-3'>
                                                <label class='form-label'>Response</label>
                                                <textarea name='response' class='form-control' required>{$row['response']}</textarea>
                                            </div>
                                            <div class='modal-footer'>
                                                <button type='button' class='btn btn-secondary' data-bs-dismiss='modal'>Close</button>
                                                <button type='submit' name='edit_response' class='btn btn-warning'>Save Changes</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                          </div>";
                    $serial_number++;
                }
                ?>
            </tbody>
        </table>

        <!-- Pagination -->
        <nav>
            <ul class="pagination justify-content-center">
                <?php for ($i = 1; $i <= $total_pages; $i++): ?>
                    <li class="page-item <?= ($i == $current_page) ? 'active' : '' ?>">
                        <a class="page-link" href="?page=<?= $i ?>"><?= $i ?></a>
                    </li>
                <?php endfor; ?>
            </ul>
        </nav>
    </div>
</div>

                <!-- JavaScript to Handle Click Events -->
                <script>
                    document.addEventListener("DOMContentLoaded", function() {
                        document.querySelectorAll('.section-content').forEach(section => {
                            section.style.display = "none";
                        });

                        function showSection(sectionId) {
                            document.querySelectorAll('.section-content').forEach(section => {
                                section.style.display = "none";
                            });
                            document.getElementById(sectionId).style.display = "block";
                        }

                        document.getElementById("showAddCategory").addEventListener("click", function() {
                            showSection("addCategorySection");
                        });

                        document.getElementById("showAddArticle").addEventListener("click", function() {
                            showSection("addArticleSection");
                        });

                        document.getElementById("showManageChatbot").addEventListener("click", function() {
                            showSection("manageChatbotSection");
                        });
                    });
                </script>

                <style>
                    .card-option {
                        cursor: pointer;
                    }
                </style>


                <!-- Footer -->
                <script>
                    document.addEventListener("DOMContentLoaded", function() {
                        const footer = document.createElement("footer");
                        footer.className = "text-center py-3 border-top";
                        footer.innerHTML = `
            <p>&copy; ${new Date().getFullYear()} RCCG DTCE Knowledge Base Management | All Rights Reserved - Developed by Hi-Dev Solutions</p>
        `;
                        document.body.appendChild(footer);
                    });
                </script>

            </main>
        </div>
    </div>

    <script>
        function toggleDarkMode() {
            document.body.classList.toggle("dark-mode");
        }
    </script>
    <!-- JavaScript to handle card clicks -->

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>